## ifupdown 0.6.8ubuntu29

=== debian/changelog ===
ifupdown (0.6.8ubuntu29) lucid; urgency=low

  * debian/postinst: if the loopback interface is missing from the config in
    /etc/network/interfaces, add it on upgrade; there is no valid use case
    for a system without localhost, and not bringing this up will cause
    upstart runlevel handling to fail.  LP: #497299.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 19 Feb 2010 20:29:32 -0800

ifupdown (0.6.8ubuntu28) lucid; urgency=low

  * debian/ifupdown.upstart.if-up, debian/ifupdown.upstart.if-down:
    - Do not wait for the Upstart event to complete; while this seems like
      a good idea, it can cause "ifup -a" to hang forever if anybody creates
      a job that waits for two interfaces to come up.

      I still want this to be the default behaviour for "emit", and I do
      want this to block, but I need to fix Upstart first so that it doesn't
      keep happening accidentally.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 17 Feb 2010 11:03:18 +0000

ifupdown (0.6.8ubuntu27) lucid; urgency=low

  * Add a new query interface, 'ifquery', that can be used by upstart hooks
    to ask for the list of possible interfaces that they might need to bring
    up.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 04 Feb 2010 16:28:53 -0800

ifupdown (0.6.8ubuntu26) lucid; urgency=low

  * debian/ifupdown.network-interface-security.upstart: do not load on liveCD.

 -- Kees Cook <kees@ubuntu.com>  Fri, 08 Jan 2010 08:24:52 -0800

ifupdown (0.6.8ubuntu25) lucid; urgency=low

  * debian/ifupdown.network-interface-security.upstart:
    - trigger on network-manager too.
    - load from a directory rather than hard-coded list of profiles.

 -- Kees Cook <kees@ubuntu.com>  Tue, 15 Dec 2009 10:33:15 -0800

ifupdown (0.6.8ubuntu24) lucid; urgency=low

  * debian/ifupdown.network-interface-security.upstart:
    - Assume that virtual-filesystems are mounted; we can get away with
      this because of the start conditions of networking and network-interface
      if we don't every other network interface will wait for virtual
      filesystems to get mounted again.

      I *really* need to fix this Upstart bug!

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Dec 2009 18:05:41 +0000

ifupdown (0.6.8ubuntu23) lucid; urgency=low

  * debian/ifupdown.network-interface.upstart:
  * debian/ifupdown.networking.upstart:
    - Revert Kees's change; this flat out doesn't work.
  * debian/ifupdown.network-interface-security.upstart:
    - Instead use "starting" so that the network-interface-security job
      is started before the first network-interface, and blocks it from
      finishing.

  (The above fixes the second ifup never completing due to waiting for
   network-interface-security to be restarted - which will never happen.)

  * debian/ifupdown.networking.upstart:
    - Make /var/run/network as we do in the network-interface job; this
      might end up running first.  LP: #446031.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Dec 2009 14:34:56 +0000

ifupdown (0.6.8ubuntu22) lucid; urgency=low

  * Add AppArmor boot-time bits to upstart jobs.
  * Due to debhelper always adding /etc/init.d symlinks, we must
    manually remove /etc/init.d/networking for as long as netbase
    still provides it.

 -- Kees Cook <kees@ubuntu.com>  Fri, 04 Dec 2009 10:11:38 -0800
