## ifupdown 0.6.8ubuntu29.1

=== debian/changelog ===
ifupdown (0.6.8ubuntu29.1) lucid-proposed; urgency=low

  * debian/ifupdown.network-interface.conf: Bring up lo manually, so that it
    comes up even if /etc/network/interfaces is broken (LP: #512253).
  * debian/ifupdown.upstart.if-up: Don't emit a duplicate net-device-up
    event for lo here, as network-interface.conf will have taken care of it.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Jul 2010 14:00:43 +0100
