## ifupdown 0.6.8ubuntu29.2

=== debian/changelog ===
ifupdown (0.6.8ubuntu29.2) lucid-security; urgency=low

  * debian/ifupdown.network-interface{,-security}.upstart: handle race
    condition when loading AppArmor profiles for interfaces (LP: #689892).
    Patch by Kees Cook.

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 04 Jan 2011 12:48:52 -0600
