## ifupdown 0.6.8+nmu1

=== debian/changelog ===
ifupdown (0.6.8+nmu1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Drop debconf support that dealt with a very old transition
    Closes: #428084, #441673, #448416, #471804
  * [Lintian] No longer ignore errors by "make clean"
  * [Lintian] No longer include empty /usr/bin and /usr/sbin
  * [Lintian] Removed debian/conffiles that only contained files
    from /etc, that are added automatically by debhelper
  * [Lintian] Raise debhelper compatibility level to 4

 -- Christian Perrier <bubulle@debian.org>  Sat, 12 Apr 2008 13:32:24 +0200
