=== debian/rules ===
--- 
+++ 
@@ -37,9 +37,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# This is the debhelper compatability version to use.
-export DH_COMPAT=1
-
 # For working out whether we're cross-building
 DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -48,13 +45,7 @@
 ROOT_USER  := 0
 ROOT_GROUP := 0
 
-ifeq (,$(wildcard /usr/bin/po2debconf))
-PO2DEBCONF := no
-MINDEBCONFVER := 0.5
-else
-PO2DEBCONF := yes
-MINDEBCONFVER := 1.2.0
-endif
+PACKAGE=ifupdown
 
 configure:
 	dh_testdir
@@ -96,20 +87,9 @@
 	# Add here commands to clean up after the build process
 	rm -rf tests/
 	rm -f build-stamp install-stamp
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 
 	dh_clean
-ifeq ($(PO2DEBCONF),yes)
-	# Hack for woody compatibility. This makes sure that the
-	# debian/templates file shipped in the source package doesn't
-	# specify encodings, which woody's debconf can't handle. If building
-	# on a system with po-debconf installed (conveniently debhelper (>=
-	# 4.1.16) depends on it), the binary-arch target will generate a
-	# better version for sarge.
-	echo 1 > debian/po/output
-	po2debconf debian/templates.master > debian/templates
-	rm -f debian/po/output
-endif
 
 install-stamp: install
 install: build test
@@ -119,13 +99,10 @@
 	dh_installdirs etc/network/if-pre-up.d etc/network/if-up.d etc/network/if-down.d etc/network/if-post-down.d
 
 	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install BASEDIR=`pwd`/debian/tmp
+	$(MAKE) install BASEDIR=`pwd`/debian/$(PACKAGE)
 
 	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-0.5.x.pl \
-		debian/tmp/usr/share/ifupdown/
-	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-hotplug.pl \
-		debian/tmp/usr/share/ifupdown/
-
+		debian/$(PACKAGE)/usr/share/ifupdown/
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -137,27 +114,22 @@
 #	dh_testversion
 	dh_testdir
 	dh_testroot
-	dh_installdebconf	
+#	dh_installdebconf	
 	dh_installdocs
 	dh_installexamples contrib/*
-	mv debian/tmp/usr/share/doc/ifupdown/examples debian/tmp/usr/share/doc/ifupdown/contrib
+	mv debian/$(PACKAGE)/usr/share/doc/ifupdown/examples debian/$(PACKAGE)/usr/share/doc/ifupdown/contrib
 	dh_installexamples examples/*
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installpam
-	dh_installinit --name=network-interface-security --upstart-only -r
-	dh_installinit --name=network-interface --upstart-only --noscripts
-	dh_installinit --name=networking --upstart-only --noscripts
-	# FIXME: this rm must be dropped once netbase has been fully upstartified
-	rm debian/tmp/etc/init.d/networking
-	dh_installifupdown --name=upstart
-#	dh_installudev --priority=85
+	dh_installinit --name=ifupdown-clean --no-start -- start 18 S .
+	dh_installinit --name=ifupdown --no-start -- start 39 S .  start 36 0 6 .
 	dh_installcron
 #	dh_installmanpages
 #	   ^-- can't do our symlink trick
-	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 interfaces.5 debian/tmp/usr/share/man/man5/interfaces.5
-	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 ifup.8 debian/tmp/usr/share/man/man8/ifup.8
-	ln -s ifup.8 debian/tmp/usr/share/man/man8/ifdown.8
+	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 interfaces.5 debian/$(PACKAGE)/usr/share/man/man5/interfaces.5
+	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 ifup.8 debian/$(PACKAGE)/usr/share/man/man8/ifup.8
+	ln -s ifup.8 debian/$(PACKAGE)/usr/share/man/man8/ifdown.8
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs ChangeLog
@@ -171,10 +143,7 @@
 	dh_installdeb
 #	dh_perl
 	dh_shlibdeps
-ifeq ($(PO2DEBCONF),yes)
-	po2debconf -e utf8 debian/templates.master > debian/templates
-endif
-	dh_gencontrol -- -V'debconf-depends=debconf (>= $(MINDEBCONFVER)) | debconf-2.0'
+	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
