## ifupdown 0.6.10ubuntu3

=== debian/changelog ===
ifupdown (0.6.10ubuntu3) maverick; urgency=low

  * debian/ifupdown.preinst: since files in /etc were not conffiles in
    lucid, and /etc/network/if-up.d/upstart and
    /etc/init/network-interface.conf changed between lucid final and
    maverick, add extra handling to avoid spurious conffile prompts.
    LP: #620956.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 Aug 2010 02:11:35 +0000

ifupdown (0.6.10ubuntu2) maverick; urgency=low

  * debian/ifupdown.network-interface.conf: Bring up lo manually, so that it
    comes up even if /etc/network/interfaces is broken (LP: #512253).
  * debian/ifupdown.upstart.if-up: Don't emit a duplicate net-device-up
    event for lo here, as network-interface.conf will have taken care of it.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Jul 2010 13:52:49 +0100

ifupdown (0.6.10ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes:
    - ifupdown.nw: use 100 as default route metric unless an explicit metric
      parameter is set in /etc/network/interface
    - ifupdown.nw: Add 'ipv4ll' method which uses avahi-autoipd to bring up
      an interface with an IPv4 link-layer address from 169.254.0.0/16 (aka
      'Zeroconf').
    - Add iniparser3.0b sources (dictionary.c, dictionary.h, iniparser.c,
      iniparser.h), to let ifupdown avoid auto-up/down of interfaces if
      network-manager's ifupdown plugin is in managed=true mode
    - move ifstate file to /var/run/network/ifstate
    - Add a new query interface, 'ifquery', that can be used by upstart
      hooks to ask for the list of possible interfaces that they might need
      to bring up.
    - debian/ifupdown.network-interface.upstart: replace the init scripts
      with a per-interface Upstart job.
    - debian/ifupdown.networking.upstart: add a "networking" job that
      partially replaces the networking init script from netbase.
    - debian/control: bump build-dependency on debhelper for Upstart-aware
      dh_installinit.
    - debian/rules: due to debhelper always adding /etc/init.d symlinks, we
      must manually remove /etc/init.d/networking for as long as netbase
      still provides it.
    - Add if-up and if-down scripts to emit Upstart events when interfaces
      come up and go down.
    - debian/ifupdown.network-interface-security.upstart: ensure apport is
      started before interfaces are brought up by either ifupdown or
      network-manager.
    - debian/postinst: if the loopback interface is missing from the config
      in /etc/network/interfaces, add it on upgrade.
    - Fix a wrong path to examples in the interfaces(5) manpage.
  * Changes superseded in Debian:
    - ifupdown.nw: modprobe ipv6 before configuring it.
    - debian/control: Add missing ${misc:Depends}
  * Dropped changes:
    - Drop versioned dependency on netbase - no rationale is given for the
      dependency to exist at all.
    - No need to version the dep on lsb-base, every release since dapper and
      earlier satisfies this constraint.
    - Drop Breaks on old, pre-jaunty versions of udev.
    - Drop migration of "mapping hotplug" to "auto", this migration was done
      in hardy and upstream has dropped the debconf support so let's not
      readd it.
    - Drop edits to ifupdown-clean, no longer used in Ubuntu.
    - Drop the udev rules, which are now completely superseded by upstart
      jobs.
    - Drop preinst, postinst cleanup of the obsolete, Ubuntu-specific
      loopback script.
  * update all generated files to match their source versions (*.defn,
    main.c).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 03 Jun 2010 17:18:43 +0000

ifupdown (0.6.10) unstable; urgency=low

  * Try to load the ipv6 module when doing up on inet6 stansas except
    manual, ignoring any errors or warnings (Closes: #480046, #413428,
    512553).  Thanks to Andreas Henriksson for the patch.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 03 Mar 2010 08:09:39 +0100

ifupdown (0.6.9) unstable; urgency=low

  * Fix typo subsytems -> subsystems in interfaces(5) manual page
    (Closes: #390086).  Thanks to A. Costa for the patch.
  * Fix typo iterface -> interface in init.d/ifupdown-clean (Closes:
    #458347).  Patch from Trent W. Buck.
  * Fix bashism in example script get-mac-address.sh (Closes:
    #518924).  Patch from Simon Descarpentries.
  * Remove obsolete debconf template translations (Closes: #520007,
    #534553).
  * Fix gramatically incorrect message from ifupdown (Closes:
    #501554).  Patch from Łukasz Stelmach.
  * Updated standards-version from 3.7.2 to 3.8.3.  No change needed.
  * Make sure postrm script fail on errors.  Thanks lintian.
  * Upgrade to debhelper version 7.
  * Acknowledge NMUs (Closes: #428084, #441673, #448416, #471804,
    #544371).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 06 Sep 2009 12:11:11 +0200

ifupdown (0.6.8+nmu3) unstable; urgency=low

  * Non-maintainer upload. (with maintainer's consent)
  * Correctly make the modification in 0.6.8+nmu2
  * Also adjust the way /sbin/dhclient is killed to be comparable to how
    /sbin/dhclient is stopped
  * Invoke dhclient with -v to maintain equivalent verbosity to dhclient3
  * Conflict with dhcp-client v2

 -- Andrew Pollock <apollock@debian.org>  Thu, 03 Sep 2009 21:50:47 -0700

ifupdown (0.6.8+nmu2) unstable; urgency=low

  * Non-maintainer upload. (with maintainer's consent)
  * Invoke /sbin/dhclient without the -e option in preparation for DHCP v4
    (closes: #544371)

 -- Andrew Pollock <apollock@debian.org>  Wed, 02 Sep 2009 21:20:37 -0700
