## ifupdown 0.6.10ubuntu3build1

=== debian/changelog ===
ifupdown (0.6.10ubuntu3build1) lucid; urgency=low

  * Rebuild maverick version for lucid-based hedley project

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 17 Nov 2010 12:30:59 -0500
