=== debian/rules ===
--- 
+++ 
@@ -95,7 +95,7 @@
 install: build test
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs etc/network/if-pre-up.d etc/network/if-up.d etc/network/if-down.d etc/network/if-post-down.d
 
 	# Add here commands to install the package into debian/tmp.
@@ -122,8 +122,12 @@
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installpam
-	dh_installinit --name=ifupdown-clean --no-start -- start 18 S .
-	dh_installinit --name=ifupdown --no-start -- start 39 S .  start 36 0 6 .
+	dh_installinit --name=network-interface-security --upstart-only -r
+	dh_installinit --name=network-interface --upstart-only --noscripts
+	dh_installinit --name=networking --upstart-only --noscripts
+	# FIXME: this rm must be dropped once netbase has been fully upstartified
+	rm debian/$(PACKAGE)/etc/init.d/networking
+	dh_installifupdown --name=upstart
 	dh_installcron
 #	dh_installmanpages
 #	   ^-- can't do our symlink trick
