=== debian/changelog ===
ifupdown (0.6.10ubuntu4) natty; urgency=low

  * debian/ifupdown.network-interface{,-security}.upstart: handle race
    condition when loading AppArmor profiles for interfaces (LP: #689892).

 -- Kees Cook <kees@ubuntu.com>  Mon, 13 Dec 2010 13:53:12 -0800
