=== debian/changelog ===
ifupdown (0.7~alpha5) experimental; urgency=low

  * Set PHASE variable (Closes: #629821).
  * Allow privacy extensions for inet6/auto (Closes: #629841).
  * Make Router Advertisements and SLAAC configurable (Closes: #629837).
  * Fix the IPv4 interface down sequence (Closes: #629836).
  * Add Vcs-* fields.
  * Remove privacy extensions option for 6in4/6to4 interfaces
    as no SLAAC is possible there.
  * Document interface exclusion option.
  * Improve conversions code, allowing calculating 6to4 address without
    calling external utilities.
  * Fix some compilation warnings.
  * Update test cases.

 -- Andrew O. Shadoura <bugzilla@tut.by>  Thu, 09 Jun 2011 00:07:09 +0300

ifupdown (0.7~alpha4) experimental; urgency=low

  * New maintainer.
  * Remove VCS repository from the tarball (Closes: #417718).
  * Add source stanza (Closes: #159884, #149395, #471834).
  * Fix bashism in example script get-mac-address.sh (Closes: #518924).
  * Use DebSrc3.0 source format and dh7.
  * Add auto method for IPv6, fix static method (Closes: #604136).
  * Update URL for Debian Reference (Closes: #610238).
  * Fix typos in the man page (Closes: #384143, #415285).
  * Add GRE and IPIP tunnels support (Closes: #158089).
  * Fix inet/static pointopoint option (Closes: #460276).
  * Add support for enabling/disabling IPv6 privacy extension
    (Closes: #520576).
  * Move network state file to /run/network (Closes: #389996).
  * Fix init script dependencies (Closes: #607713, #601705).
  * Add MTU setting for v4tunnel (Closes: #408453, #575110).
  * Allow multiple interface definitions to ease work with multiple IP per
    interface.
  * Allow passing PPP options, pass updetach by default (Closes: #196877).
  * Add 6to4 tunnels support (Closes: #357929).
  * Add CAN interface support (Closes: #584530).
  * Drop 0.5.x migration script.
  * Drop dependency on net-tools; suggest it instead.
  * Bump Standards-Version to 3.9.2.

 -- Andrew O. Shadoura <bugzilla@tut.by>  Wed, 08 Jun 2011 12:10:14 +0300

ifupdown (0.7~alpha3) experimental; urgency=low

  * Apply patches from Andreas Henriksson (Closes: Bug#456918)
    - Fix aadr typo in IPv6 loopback method
    - Add dependency on new version of iproute that supports specifying
      netmasks as dotted-quads.
    - Re-add netmask field for backwards compatibility.
    - Flush addresses when taking down a static inet interface.
      (Closes: Bug#431059)
    - Switch inet/dhcp and inet6/static methods to iproute.
    - Update test cases.
    - Support for conversion of ifconfig format hwaddress to iproute format
      hwaddress.
  * Update Build-Depends: to reflect name change from nowebm to noweb.
  * Move DH_COMPAT setting from debian/rules to debian/compat file.
  * Don't ignore errors from make clean in debian/rules clean target.
  * Escape hypens in interfaces.5 manpage.
  * Don't create /usr/bin or /usr/sbin directories.
  * Bump Standards-Version.

 -- Anthony Towns <ajt@debian.org>  Sat, 22 Dec 2007 00:31:16 +1000

ifupdown (0.7~alpha2) experimental; urgency=low

  * Add command line interface options (ifup -o foo=bar eth1). Yay!
  * Switch to using iproute instead of ifconfig/route. Thanks to Andrew
    Pollock.
  * Drop support for kernels prior to 2.1.100 (and that don't have NETLINK
    for iproute).
  * Drop support for specifying a "netmask" in static inet interfaces.
  * Bump DH_COMPAT to 4 (from 1!)

 -- Anthony Towns <aj@azure.humbug.org.au>  Mon, 18 Jun 2007 15:47:21 +0100
