## ifupdown 0.7~alpha5.1

=== debian/changelog ===
ifupdown (0.7~alpha5.1) experimental; urgency=low

  * Non-maintainer upload.
  * No source changes.
  * Upload to experimental rather than unstable.

 -- Roger Leigh <rleigh@debian.org>  Tue, 14 Jun 2011 18:44:11 +0100
