=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Andrew O. Shadoura <bugzilla@tut.by>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~), noweb
Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/ifupdown/
Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/ifupdown/

Package: ifupdown
Architecture: any
Depends: iproute (>= 20071016-1), ${shlibs:Depends}, ${misc:Depends}, lsb-base, initscripts (>= 2.88dsf-13.3)
Suggests: dhcp3-client | dhcp-client, ppp, rdnssd, net-tools
Replaces: netbase (<< 4.00)
Conflicts: dhcp-client (<< 3.0)
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.
